***Generate matrix with shares of skills by occupation 

* Use postings-skills databse  
use "$data\cleaned\postings&skillsARGout.dta", clear

drop if skill_tax == 0

keep if _merge == 3

rename CogCog_thinking sk1 
rename CogCog_math sk2 
rename CogWri_communication sk3 
rename CogFin_financial sk4 
rename CogBusS_systems sk5 
rename CogBusS_qualityac sk6 
rename CogBusA_busanalysis sk7 
rename CogProMan_proman sk8  
rename CogDA_dataanalysis sk9   
rename CogLan_language sk10
rename CogAdap_adaptability sk11
rename Digital_basic sk12
rename Digital_interm sk13
rename Digital_advanced sk14
rename SocSoc_teamwork sk15 
rename SocSoc_communication sk16 
rename SocSoc_general sk17 
rename SocChar_orgskills sk18  
rename SocChar_character sk19 
rename SocCusServ_cservice sk20 
rename SocPeopManag_peopmanag sk21 
rename SocCrea_creativity sk22 
rename ManFingdex_fingerdextery sk23 
rename ManHand_handfooteye sk24 
rename ManDrive_handfooteye sk25 
rename ManFly_handfooteye sk26 
rename ManPhy_physical sk27 
rename add_products sk28 
rename add_technicalStem sk29
rename add_technicalHeal sk30 
rename add_careservices sk31 
rename add_technicalSS sk32 
rename add_technicalLaw sk33
rename add_technicalEdu sk34
rename add_admsupport sk35 
rename add_securityss sk36   
rename add_sales_rs sk37   
rename add_management sk38 
rename add_repair_mach sk39 
rename add_media_production sk40 
rename add_art_art sk41 
rename add_enviroment sk42 
rename add_energy_energy sk43 
rename add_construction_activities sk44 
rename add_militar_activities sk45 
rename add_agriculture_activities sk46 

foreach numvar of numlist 1/46 {
	local varname sk`numvar'
replace `varname' = 0 if `varname' == .
}

egen postedbyciuo = count (posted) if year>2022, by(isco_08_4) 

drop skill skill_id skill_category skill_category_name skill_subcategory skill_type skills_identified skill_tax

collapse (mean) sk* postedbyciuo, by(isco_08_4) 

drop if isco_08_4 == "" | isco_08_4 == "X000" | postedbyciuo == . 

destring isco_08_4, replace

*Save xls file  
export excel using "$data\cleaned\skillsmapARG_out.xlsx", sheet("Hoja1", modify) first(var)

