/*======================================================================
Understanding Labor Market Demand in Real Time in Argentina and Uruguay
Reproducibility package - Main script
========================================================================*/

* Set version
version 17

sysdir set PLUS "INSERT/YOUR/PATH"

ssc install outreg2

* Set project globals
global project 	"INSERT/YOUR/PATH"
global code 	"${project}/code"
global data 	"${project}/data"
global output   "${project}/outputs"
log using "${project}/outputs/check_results.log", replace
	* Run do files to create figures
	do "${code}/cleaning.do"
	do "${code}/mainresults.do"
	do "${code}/appendix.do"	
	
* End of do-file!

log close